body {
  background-image: url(assets/galaxy.jpg);
  background-position: center;
  background-size: cover;
  display: flex;
  width: 100%;
  height: 100vh;

}

#sunimg {
  background-color: transparent;
  width: 15%;
  height: auto;
}

#sun {
  justify-self: center;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  left: 25%;
  right: 25%;
  top: 25%;
  bottom: 25%;
  width: 50%;
  height: auto;
  z-index: -1;
}

.information-container {

  position: relative;
  justify-self: center;
  display: grid;
  grid-template-columns: repeat(4, 20vw);
  margin: 5%;
  z-index: 5;
  margin-left: 10%;
  margin-top: 3%;
  padding-left: 2%;
  
}

.info {
  width: 15rem;
  height: 15rem;
  position: relative;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.6);
  border: 2px solid rgba(0, 255, 255, 0.8);
  border-radius: 15px;
  box-shadow: 0 0 20px rgba(0, 255, 255, 0.6),
    0 0 10px rgba(0, 255, 255, 0.4) inset;
  color: #00ffff;
  font-family: 'Roboto Mono', monospace;
  font-size: clamp(1rem, 1vw, 1rem);
  padding-top: 5%;
  margin: 5%;
  text-align: center;
  display: flex;  
  
}

.info:hover {
  background: rgba(0, 0, 0, 0.8);
  box-shadow: 0 0 25px rgba(0, 255, 255, 0.9),
    0 0 15px rgba(0, 255, 255, 0.7) inset;
  transform: scale(1);
}


.title:hover {
  background: rgba(0, 0, 0, 0.8);
  box-shadow: 0 0 25px rgba(0, 255, 255, 0.9),
    0 0 15px rgba(0, 255, 255, 0.7) inset;
  transform: scale(1);
  height: auto;
}

.title {
  margin: 0;
  padding-top: 5px;
  width: 100%;
  height: 40px;
  display: flex;
  justify-content: center;
  color: azure;
  position: relative;
  z-index: 20;
}



@media (max-width: 1024px) {
  .info {
    font-size: clamp(0.8rem, 1vw, 0.9rem);
    padding: 15px;
    height: 30vh;
  }
  .information-container{ font-size: clamp(0.7rem, 1vw, 1rem);

  }

}

@media (max-width: 768px) {
  .info {
    font-size: clamp(0.7rem, 1vw, 1rem);
    padding: 10px;
    margin: 8px;
    height: 30vh;
  }

}

@media (max-width: 480px) {
  .info {
    font-size: clamp(0.5rem, 0.5vw, 0.5rem);
    padding: 8px;
    margin: 5px;
    margin-top: 70%;
    border-radius: 10px;
    height: auto;
  }
  .information-container{ font-size: clamp(0.4rem, 1vw, 1rem);
}
}
.info {
visibility: hidden;
}
#t1:hover ~ #info-mercury {
 visibility:visible;
}
#t2:hover ~ #info-venus {
 visibility:visible;
}
#t3:hover ~ #info-earth{
 visibility:visible;
}
#t4:hover ~ #info-mars {
 visibility:visible;
}
#t5:hover ~ #info-jupiter {
 visibility:visible;
}
#t6:hover ~ #info-uranus {
 visibility:visible;
}
#t7:hover ~ #info-saturn {
 visibility:visible;
}
#t8:hover ~ #info-neptune {
 visibility:visible;
}
